[SCM] Packaging for openal-soft branch, master, updated. debian/1.4.272-2-6-g6c097b9

Andres Mejia mcitadel at gmail.com
Mon May 4 21:57:38 UTC 2009


The following commit has been merged in the master branch:
commit dc5e48f7d7933751243cfb9b76db7eb41d439876
Author: Andres Mejia <mcitadel at gmail.com>
Date:   Sat May 2 21:52:16 2009 -0400

    Add openal-soft-get-orig-source for generating new package.
    Get ready to import new upstream release.

diff --git a/debian/changelog b/debian/changelog
index 62a9b06..c603f22 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,8 +1,12 @@
-openal-soft (1:1.4.272-3) UNRELEASED; urgency=low
+openal-soft (1:1.7.411) UNRELEASED; urgency=low
 
-  * Drop bogus libopenal0/libopenal0a Replaces
+  [ Paul Wise ]
+  * Drop bogus libopenal0/libopenal0a Replaces (Closes: #519995)
 
- -- Paul Wise <pabs at debian.org>  Wed, 18 Mar 2009 20:39:19 +0900
+  [ Andres Mejia ]
+  * New upstream release. (Closes: #506493)
+
+ -- Andres Mejia <mcitadel at gmail.com>  Sat, 02 May 2009 21:50:03 -0400
 
 openal-soft (1:1.4.272-2) unstable; urgency=low
 
diff --git a/debian/openal-soft-get-orig-source b/debian/openal-soft-get-orig-source
new file mode 100755
index 0000000..7ad496f
--- /dev/null
+++ b/debian/openal-soft-get-orig-source
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# This script is used to download the upstream source for openal-soft and
+# generate it into an orig source tarball for Debian.
+
+# Common variables used to ease maintenance of this script
+OPENAL_SOFT_TARBALL="openal-soft-1.7.411.tar.bz2"
+OPENAL_SOFT_TARBALL_CHECKSUM="e8a14e6e0591b943c078c0616da0d413"
+OPENAL_SOFT_VERSION="1.7.411"
+
+USAGE="\n\
+This script is used to generate the orig tarball used in building\n\
+Debian packages for openal-soft-$OPENAL_SOFT_VERSION.\n\
+Usage: openal-soft-get-orig-source [OPTION]\n\
+\n\
+ -h, --help                 Display this help message.\n\
+ --remove-upstream-tarball  Remove the upstream source tarball.\n"
+
+while [ "$#" -gt "0" ]
+do
+    case "$1" in
+        --remove-upstream-tarball)
+            REMOVE_UPSTREAM_TARBALL=1
+            shift
+            ;;
+        -h|--help|*)
+            echo "${USAGE}"
+            exit 1
+            ;;
+    esac
+done
+
+make_current_tarball() {
+    # Download the tarball if it's not available in the current directory
+    [ -f $OPENAL_SOFT_TARBALL ] || \
+        wget -c http://kcat.strangesoft.net/openal-releases/$OPENAL_SOFT_TARBALL
+
+    # Verify the checksum
+    COMPUTED_CHECKSUM=`md5sum $OPENAL_SOFT_TARBALL | cut -d ' ' -f 1`
+    if [ $OPENAL_SOFT_TARBALL_CHECKSUM != $COMPUTED_CHECKSUM ] ; then
+        echo "Checksum verification failed. Checksum was $COMPUTED_CHECKSUM
+    Expected checksum $OPENAL_SOFT_TARBALL_CHECKSUM."
+        exit 1
+    else
+        echo "Checksum verified. Checksum is $COMPUTED_CHECKSUM."
+    fi
+
+    echo -n "Extracting tarball..."
+    tar -xjf $OPENAL_SOFT_TARBALL
+    echo "done."
+    echo -n "Repacking as openal-soft_$OPENAL_SOFT_VERSION.orig.tar.gz..."
+    tar -czf openal-soft_$OPENAL_SOFT_VERSION.orig.tar.gz \
+        openal-soft-$OPENAL_SOFT_VERSION/
+    echo "done."
+    if [ $REMOVE_UPSTREAM_TARBALL ]; then
+        echo -n "Removing upstream tarball..."
+        rm $OPENAL_SOFT_TARBALL
+        echo "done."
+    fi
+}
+
+make_current_tarball
diff --git a/debian/rules b/debian/rules
index 656625f..146350d 100755
--- a/debian/rules
+++ b/debian/rules
@@ -89,4 +89,8 @@ binary-arch: build install
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
+
+get-orig-source:
+	$(dir $_)openal-soft-get-orig-source --remove-upstream-tarball
+
 .PHONY: build clean binary-indep binary-arch binary install configure

-- 
Packaging for openal-soft



More information about the Pkg-games-commits mailing list